

// Texture to be drawn
Texture g_Tex;
sampler2D s = sampler_state {
	Texture = <g_Tex>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};

// Depth Map
Texture g_Map;
sampler2D DM = sampler_state {
	Texture = <g_Map>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};





float4 displace ( float2 texCoords : TEXCOORD0 ) : COLOR
{
	float4 coord = tex2D(DM, texCoords);
	float y = (coord.x + coord.y + coord.z + coord.w)*0.25;
    float4 col = tex2D(s, float2(texCoords.x, y)) ;
	
	return col;
}





technique Displace
{
	pass p0
	{
		Sampler[0] = <s>;
		Sampler[1] = <DM>;
		//Sampler[2] = <BM>;
		PixelShader = compile ps_2_0 displace();
	}
}
